gr::dab::measure_processing_rate_impl Class Reference

`#include <measure_processing_rate_impl.h>`

Inheritance diagram for gr::dab::measure_processing_rate_impl:
[legend]

## Public Member Functions

| measure_processing_rate_impl (size_t itemsize, int samples_to_count)
void | set_samples_to_count (int samples_to_count)
float | processing_rate ()
float | bitrate ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::measure_processing_rate
typedef std::shared_ptr< measure_processing_rate > | sptr
Static Public Member Functions inherited from gr::dab::measure_processing_rate
static sptr | make (size_t itemsize, int samples_to_count)
| Return a shared_ptr to a new instance of dab::measure_processing_rate.

## Constructor & Destructor Documentation

## measure_processing_rate_impl()

gr::dab::measure_processing_rate_impl::measure_processing_rate_impl | ( | size_t | itemsize,
|  | int | samples_to_count )

## Member Function Documentation

## bitrate()

float gr::dab::measure_processing_rate_impl::bitrate | ( |  | ) |

inline

Returns
  processing rate in bits per second

## processing_rate()

float gr::dab::measure_processing_rate_impl::processing_rate | ( |  | ) |

inline

Returns
  processing rate in samples per second

## set_samples_to_count()

void gr::dab::measure_processing_rate_impl::set_samples_to_count | ( | int | samples_to_count | ) |

inline

## work()

int gr::dab::measure_processing_rate_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- measure_processing_rate_impl.h